Support » Plugin: Shortcodes Ultimate » Theme conflict with v5.0.4 update

  • Had a few websites result in PHP fatal errors after updating to v5.0.4 with this particular theme installed: https://themeforest.net/item/blaine-the-multipurpose-portfolio-theme/6901952. Downgrading to v5.0.3 resolves. Below is the error from the server logs.

    [Tue Jun 05 00:42:43.978905 2018] [:error] [pid 28737] [client 174.54.201.164:13388] PHP Fatal error: Uncaught Error: Call to undefined function su_do_shortcode() in /nas/content/live/lancomechanica/wp-content/themes/blaine/config/config-custom.php:509\nStack trace:\n#0 [internal function]: thb_colorbox_shortcode(Array, '\\n<h1 style="col...', 'su_colorbox')\n#1 /nas/content/live/lancomechanica/wp-includes/shortcodes.php(319): call_user_func('thb_colorbox_sh...', Array, '\\n<h1 style="col...', 'su_colorbox')\n#2 [internal function]: do_shortcode_tag(Array)\n#3 /nas/content/live/lancomechanica/wp-includes/shortcodes.php(197): preg_replace_callback('/\\\\[(\\\\[?)(sws_di...', 'do_shortcode_ta...', '[su_row]\\n[su_co...')\n#4 [internal function]: do_shortcode('[su_row]\\n[su_co...')\n#5 /nas/content/live/lancomechanica/wp-includes/class-wp-hook.php(286): call_user_func_array('do_shortcode', Array)\n#6 /nas/content/live/lancomechanica/wp-includes/plugin.php(203): WP_Hook->apply_filters('[su_row]\\n[su_co...', Array)\n#7 /nas/content/live/lancomechanica/wp-includes/post-template.php(240): apply_filters('the_content', '[su_row]\\r\\n\\ in /nas/content/live/lancomechanica/wp-content/themes/blaine/config/config-custom.php on line 509, referer: https://lancomechanicals.com/wp-admin/admin.php?page=wpengine-common

Viewing 1 replies (of 1 total)
  • @austinginder, adding this to your functions.php will fix the issue

    if (!function_exists('su_do_shortcode')) {
    	function su_do_shortcode($content, $first_letter) {
    		return function_exists('su_do_nested_shortcode') ? su_do_nested_shortcode($content, $first_letter) : '';
    	}
    }
Viewing 1 replies (of 1 total)
  • The topic ‘Theme conflict with v5.0.4 update’ is closed to new replies.